import { Logger } from "../lib/lambda-logger/index";
export declare class ExtensionService {
    log: Logger;
    userPolicyExists(emailId: string): Promise<{}>;
    policyAppResourceExists(policyId: string, appName: string, productName: string): Promise<{}>;
    getUserPolicyTaxonomy(emailId: string, appName: string, productName: string): Promise<any>;
    getUserPolicyAllTaxonomy(emailId: string, appName: string, productName: string): Promise<any>;
    getProductAllTaxonomy(appProductId: string): Promise<any>;
    createUserPolicy(emailId: string, appName: string, productName: string, customerId: Number): Promise<any>;
    AddPolicyResource(policyId: string, appName: string, productName: string, customerId: Number): Promise<any>;
    AddPolicyTaxonomy(policyResourceId: string, productName: string, value: string): Promise<any>;
    InsertPolicyTaxonomy(policyResourceId: string, productTaxonomyId: string, value: string): Promise<any>;
    UpdatePolicyTaxonomy(policyResourceId: string, productName: string, value: string): Promise<any>;
    UpdateAllPolicyTaxonomy(policyResourceId: string, productTaxonomyData: string, value: string): Promise<any>;
    getUsers(appName: string, productName: string, customerId: string): Promise<any>;
    getExtendedUserDetails(appName: any, productName: any, customerId: string): Promise<{
        name: unknown;
        emailId: any;
        managerEmailId: any;
        appName: any;
        customers: any;
        region: any;
        country: any;
        userGroups: string;
    }[]>;
    createUser(emailId: string, name: string): Promise<any>;
    insertUserToGroup(emailId: string, appName: string, productName: string, groupName: string): Promise<any>;
    removeUserFromGroup(emailId: string, appName: string, group: string[], callFromV99?: boolean): Promise<any>;
    verifyAndAddUserToGroup(userId: string, appName: string, group: string[]): Promise<any>;
    deletePolicyResource(policyResourceIds: string[]): Promise<any>;
    disablePolicyResource(policyResourceIds: string[]): Promise<any>;
    enablePolicyResource(policyResourceIds: string[]): Promise<any>;
    getCreatedByUserId(emailId: string): Promise<any>;
    appPolicyResourceExists(policyId: string, appName: string[]): Promise<any>;
    getPolicyDetails(policyId: any): Promise<any>;
    getPolicyByResourceId(resourceId: any): Promise<any>;
    getProductIdbyPermissionId(permissionId: any): Promise<any>;
    getUserEmailId(updatedBy: any): Promise<any>;
    getEntityNameById(entityId: any): Promise<any>;
    getEntityNameBySubjectId(subjectId: any): Promise<any>;
    createAuditLog(entityType: string, entityId: any, newData: any, updatedBy: string, updatedOn: any, traceId: string, entityName: string): Promise<any>;
    getAppDetails(appId: any): Promise<any>;
    getAppAttributesByAppName(appName: any): Promise<any>;
    serviceDiscoveryDocument(productId: string): Promise<any>;
    getProductDetails(productId: any): Promise<any>;
    private getUserAndGroupId;
    private addUserToGroup;
    addUserTenantAssociation(userId: string, tenantId: string): Promise<any>;
    checkUserExists(emailId: string): Promise<any>;
    addUserMutation(hpIdUserId: string, hpIdResponse: any, userName: string, displayName: string, email: string): Promise<any>;
    getAppSubjectNameDocument(appProductId: any, subjectId: any, isAppProduct: boolean): Promise<any>;
    UpdateRequestedValue(reqId: string, requested_value: string): Promise<any>;
    autoRejectUpdate(contitionValue: any, updateValue: any, query?: any): Promise<any>;
    getRequestForAutoReject(): Promise<any>;
    private getDataFromQuery;
    private getDataFromQueryByApiKey;
    getGroupDetails(entityId: any): Promise<any>;
    getPersonaDetails(entityId: any): Promise<any>;
    getUserDetails(entityId: any): Promise<any>;
    updateRequestComments(requestId: string, requestUpdateInput: string): Promise<any>;
    getUserInfo(userId: any): Promise<any>;
    getAllUser(): Promise<any>;
    getAllAppsForUser(): Promise<any>;
    getProductAssociatedApps(productShortName: string): Promise<any>;
    getProductDeveloperUsersEmail(productShortName: string): Promise<any>;
    getTenantId(productShortName: string): Promise<any>;
    getProductAttributes(productShortName: string): Promise<any>;
    updateProductAttributes(productShortName: string, attributes: any): Promise<any>;
}
